org.fourthline.cling.model.message.discovery

## Class OutgoingNotificationRequest

- java.lang.Object
- - org.fourthline.cling.model.message.UpnpMessage<O>
  - - org.fourthline.cling.model.message.OutgoingDatagramMessage<UpnpRequest>
    - - org.fourthline.cling.model.message.discovery.OutgoingNotificationRequest

- Direct Known Subclasses:
    OutgoingNotificationRequestDeviceType, OutgoingNotificationRequestRootDevice, OutgoingNotificationRequestServiceType, OutgoingNotificationRequestUDN

      public abstract class OutgoingNotificationRequest
      extends OutgoingDatagramMessage<UpnpRequest>

  Author:
    Christian Bauer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.fourthline.cling.model.message.UpnpMessage

      `UpnpMessage.BodyType`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `OutgoingNotificationRequest(Location location, LocalDevice device, NotificationSubtype type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NotificationSubtype` | `getType()`

    - ### Methods inherited from class org.fourthline.cling.model.message.OutgoingDatagramMessage

      `getDestinationAddress, getDestinationPort, getHeaders`

    - ### Methods inherited from class org.fourthline.cling.model.message.UpnpMessage

      `getBody, getBodyBytes, getBodyString, getBodyType, getContentTypeCharset, getContentTypeHeader, getOperation, getUdaMajorVersion, getUdaMinorVersion, hasBody, hasHostHeader, isBodyNonEmptyString, isContentTypeMissingOrText, isContentTypeText, isContentTypeTextUDA, setBody, setBody, setBodyCharacters, setBodyType, setHeaders, setUdaMajorVersion, setUdaMinorVersion, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OutgoingNotificationRequest

          protected OutgoingNotificationRequest(Location location,
                                                LocalDevice device,
                                                NotificationSubtype type)

  - ### Method Detail

    - #### getType

          public NotificationSubtype getType()

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.